import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/providers/project_provider.dart';
import 'package:doctor_app_flutter/widgets/shared/rounded_container_widget.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';
import 'package:provider/provider.dart';

/*
 *@author: Mohammad Aljammal
 *@Date:27/4/2020
 *@param: Widget
 *@return:
 *@desc: Card With Bg Widget
 */

class CardWithBgWidget extends StatelessWidget {
  final Widget widget;

  CardWithBgWidget({@required this.widget});

  @override
  Widget build(BuildContext context) {
    ProjectProvider projectProvider = Provider.of(context);
    return Container(
      margin: EdgeInsets.symmetric(vertical: 10.0),
      width: double.infinity,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.all(
          Radius.circular(10.0),
        ),
        border: Border.all(color: Hexcolor('#707070'), width: 2.0),
      ),
      child: Material(
        borderRadius: BorderRadius.all(Radius.circular(10.0)),
        child: Stack(
          children: [
            if (projectProvider.isArabic)
              Positioned(
                child: Container(
                  width: 10,
                  color: Hexcolor('#58434F'),
                ),
                bottom: 0,
                top: 0,
                right: 0,
              )
            else
              Positioned(
                child: Container(
                  width: 10,
                  color: Hexcolor('#58434F'),
                ),
                bottom: 0,
                top: 0,
                left: 0,
              ),
            Container(
                padding: EdgeInsets.all(15.0),
                margin: EdgeInsets.only(left: 10),
                child: widget)
          ],
        ),
      ),
    );
  }
}
